Mail archive
alpine-aports

[alpine-aports] [PATCH] community/librdkafka: move from testing, cleanups

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 23 Mar 2017 09:39:48 +0200

add check()
---
need for community/php7-rdkafka
---
 {testing => community}/librdkafka/APKBUILD | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)
 rename {testing => community}/librdkafka/APKBUILD (65%)
diff --git a/testing/librdkafka/APKBUILD b/community/librdkafka/APKBUILD
similarity index 65%
rename from testing/librdkafka/APKBUILD
rename to community/librdkafka/APKBUILD
index c97e5035a5..40f3632da1 100644
--- a/testing/librdkafka/APKBUILD
+++ b/community/librdkafka/APKBUILD
_at_@ -7,29 +7,23 @@ pkgdesc="The Apache Kafka C/C++ library"
 url="https://github.com/edenhill/librdkafka"
 arch="all"
 license="BSD"
-depends=""
-depends_dev=""
-makedepends="$depends_dev libressl-dev python2 zlib-dev bash"
+makedepends="bash python2 libressl-dev zlib-dev"
 subpackages="$pkgname-dev"
 source="$pkgname-$pkgver.tar.gz::https://github.com/edenhill/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
 
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
-	cd "$_builddir"
-	./configure \
-		--prefix=/usr \
-		|| return 1
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make
 }
 
-build() {
-	cd "$_builddir"
-	make || return 1
+check() {
+	make -C "$builddir" check
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install
 }
 
 sha512sums="054897d90131ba7d91f66e2929f19224ae96feabe1be69e93a87ad05864f4893aa56456c3c15a303826f0c519eab09c5cd6e0b34d76ae68db6060aa80e9bc8de  librdkafka-0.9.4.tar.gz"
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 23 2017 - 09:39:48 GMT